#!/usr/bin/env python
# -*- coding: ISO-8859-1 -*-
from distutils.core import setup, Extension
import sys

classifiers = ["Development Status :: 5 - Production/Stable",
               "Environment :: Console :: Curses",
               "Intended Audience :: End Users/Desktop",
               "License :: OSI Approved :: GNU General Public License (GPL)",
               "Programming Language :: Python",
               "Topic :: Multimedia :: Sound/Audio :: Players"]

if sys.version_info >= (2, 3):
    addargs = {"classifiers": classifiers}
else:
    addargs = {}

setup(name="PyTone",
      version="1.12.2",
      description="Powerful music jukebox with a curses based GUI.",
      author="Jrg Lehmann",
      author_email="joerg@luga.de",
      url="http://www.luga.de/pytone/",
      license="GPL",
      py_modules=["builddb",
                  "config",
                  "decoder",
                  "errors",
                  "events",
                  "filelist",
                  "filelistwin",
                  "help",
                  "helper",
                  "helpwin",
                  "item",
                  "iteminfowin",
                  "inputwin",
                  "mixerwin",
                  "mainscreen",
                  "MP3Info",
		  "player",
                  "playerwin",
                  "playlist",
                  "playlistwin",
                  "purgedb",
                  "pytone",
		  "slist",
                  "songdb",
                  "statusbar",
                  "timer",
                  "updatedb",
                  "window", 
		  "players.aoplayer",
                  "players.mpg123player",
                  "players.xmmsplayer"],
      ext_modules=[Extension("pcm", sources=["pcm/pcm.c"])],
      data_files=[('/usr/share/locale/de/LC_MESSAGES', ['locale/de/LC_MESSAGES/PyTone.mo'])],
      **addargs
      )
